Subject: RE: bug#39558: 26.3; icomplete and display *Completions* in child frame

From: Drew Adams <[email-masked]>
Date: Tue, 11 Feb 2020 10:22:09 -0800 (PST)

> > 1. emacs -Q
> > 2. evaluate
> > (customize-set-variable
> >  'display-buffer-alist
> >  '(("\\*Completions\\*" display-buffer-in-child-frame)))
> > 3. M-x icomplete-mode
> > 4. M-x f<TAB>
> >
> > Error in post-command-hook (icomplete-post-command-hook): (wrong-type-
> argument number-or-marker-p nil)
> 
> I cannot reproduce this, so maybe this is Darwin-specific.

FWIW:

This has been reported multiple times.  I
reported it years ago.  It happened now &
then (I don't use icomplete anymore, so I
haven't tracked it).  I tried to track it
down but never succeeded.  Discussed this
with Stefan a few times.

I use MS Windows, so if what I saw is the
same as what's been reported by others a
few times since then, I doubt that it is
Darwin-specific.

`icomplete-exhibit' was where this happened.
As I say, this is longstanding, and no doubt
Icomplete has undergone multiple changes since
I first reported this.  The fact that the same,
or seemingly the same, thing is still happening
suggests that whatever changes have been made
to Icomplete haven't affected this.